"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Layout = _interopRequireDefault(require("@theme/Layout"));

var _themeCommon = require("@docusaurus/theme-common");

var _TagsListByLetter = _interopRequireDefault(require("@theme/TagsListByLetter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
function DocTagsListPage({
  tags
}) {
  const title = (0, _themeCommon.translateTagsPageTitle)();
  return <_Layout.default title={title} wrapperClassName={_themeCommon.ThemeClassNames.wrapper.docsPages} pageClassName={_themeCommon.ThemeClassNames.page.docsTagsListPage} searchMetadatas={{
    // assign unique search tag to exclude this page from search results!
    tag: 'doc_tags_list'
  }}>
      <div className="container margin-vert--lg">
        <div className="row">
          <main className="col col--8 col--offset-2">
            <h1>{title}</h1>
            <_TagsListByLetter.default tags={tags} />
          </main>
        </div>
      </div>
    </_Layout.default>;
}

var _default = DocTagsListPage;
exports.default = _default;